{% extends "webMovemeback/../../templates/shared/base.html" %}

{% load wagtailcore_tags wagtailimages_tags %}

{% block body_class %}template-blogindexpage{% endblock %}

{% block content %}
    <h1 class="blog__title">{{ page.title }}</h1>

    {% for post in blogpages %}
        {% with post=post.specific %}
            <div class="card bg-secondary text-white blog__content">
                {% with post.main_image as main_image %}
                    {% if main_image %}{% image main_image fill-160x100 class="card-img" %}
                    {% else %}<idiv class="card-img bg-default" ></idiv>{% endif %}
                {% endwith %}

                <div class="card-img-overlay">
                    <h5 class="card-title"><a href="{% pageurl post %}">{{ post.title }}</a></h5>
                    <p class="card-text">{{ post.intro }}</p>
{#                    <p class="card-text">{{ post.body|richtext }}</p>#}
                    <p class="blog__page--date blog__date">{{ post.date }}</p>
                </div>
            </div>
        {% endwith %}
    {% endfor %}

{% endblock %}